/*
	チャット選択スクリプト for テストサイト

	CHAT_ID で指定したHTML要素からチャットの内容を抽出するJScriptを記述します。
	JScript又はjavascriptと、DOMの知識が少々必要です。

	親スクリプトからの入力
		elements_li[i] に、CHAT_ITEM_TAG で指定したHTML要素の i 番目が入っています
	親スクリプトへの出力
		str_time に時刻を設定します
		str_name に名前を設定します
		str_content に発言内容を設定します

*/

if(elements_li[i].getElementsByTagName("span")[0] != null) {
	//時刻
	str_time = elements_li[i].getElementsByTagName("span")[0].innerText;
	//名前
	str_name = elements_li[i].getElementsByTagName("span")[1].innerText;
	//内容
	str_content = elements_li[i].getElementsByTagName("span")[2].innerText;
} else {
	str_time = "";
	str_name = "";
	str_content = "";
}
